Import Tests/Jobs

Prev Next
Post
/api/v1/Authoring/projects/{id}/import

Import a set of tests and/or jobs

Security
API Key: x-val-api-token
Header parameter namex-val-api-token

API key needed to access endpoints. Each Validatar user can manage their own set of API keys.

Path parameters
id
integer (int32) Required

ID of the project to be imported into

Body parameters

Information about the objects being imported

Expand All
object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
targetTestFolderId
integer (int32) | null

Target folder ID for the tests being imported

targetJobFolderId
integer (int32) | null

Target folder ID for the jobs being imported

dataSourceMappings
Array of object (Configuration.Api.Models.v1.DataSourceMapping) | null

List of mappings between the source and target data sources

object
sourceFileKey
string | null

Data source key from the import file

targetId
integer (int32)

Target data source ID

includeJobSchedules
boolean

Whether job schedules should be included when processing job import

conflictResolution
string
Valid values[ "Overwrite", "Rename", "Skip" ]
Expand All
object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
targetTestFolderId
integer (int32) | null

Target folder ID for the tests being imported

targetJobFolderId
integer (int32) | null

Target folder ID for the jobs being imported

dataSourceMappings
Array of object (Configuration.Api.Models.v1.DataSourceMapping) | null

List of mappings between the source and target data sources

object
sourceFileKey
string | null

Data source key from the import file

targetId
integer (int32)

Target data source ID

includeJobSchedules
boolean

Whether job schedules should be included when processing job import

conflictResolution
string
Valid values[ "Overwrite", "Rename", "Skip" ]
Expand All
object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
targetTestFolderId
integer (int32) | null

Target folder ID for the tests being imported

targetJobFolderId
integer (int32) | null

Target folder ID for the jobs being imported

dataSourceMappings
Array of object (Configuration.Api.Models.v1.DataSourceMapping) | null

List of mappings between the source and target data sources

object
sourceFileKey
string | null

Data source key from the import file

targetId
integer (int32)

Target data source ID

includeJobSchedules
boolean

Whether job schedules should be included when processing job import

conflictResolution
string
Valid values[ "Overwrite", "Rename", "Skip" ]
Expand All
object
mimeType
string Required

Mime type of the import file

Min length1
contentBase64
string Required

Content of the import file formatted as a Base64 string

Min length1
targetTestFolderId
integer (int32) | null

Target folder ID for the tests being imported

targetJobFolderId
integer (int32) | null

Target folder ID for the jobs being imported

dataSourceMappings
Array of object (Configuration.Api.Models.v1.DataSourceMapping) | null

List of mappings between the source and target data sources

object
sourceFileKey
string | null

Data source key from the import file

targetId
integer (int32)

Target data source ID

includeJobSchedules
boolean

Whether job schedules should be included when processing job import

conflictResolution
string
Valid values[ "Overwrite", "Rename", "Skip" ]
Responses
200

OK

400

Bad Request

Expand All
object
validationErrors
Array of string | null

List of validation errors that occurred during the import attempt

string
invalidDataSources
Array of object (Configuration.Api.Models.v1.InvalidDataSourceMapping) | null

List of data sources that could not be successfully mapped during the import attempt

object
sourceName
string | null

Name of the data source from the import file

targetName
string | null

Name of the invalid target data source

invalidMacros
Array of object (Configuration.Api.Models.v1.InvalidMacro) | null

List of invalid macros

object
macroName
string | null

Name of the macro

referenceKey
string | null

Reference key of the macro

errorMessage
string | null

Error message caused by the macro

missingReferences
Array of object (Configuration.Api.Models.v1.MissingReference) | null

List of missing references

object
jobName
string | null

Name of the job

objectName
string | null

Name of the object being referenced

objectContext
string | null

Context of the object being referenced

objectType
string
Valid values[ "Test", "Job", "DataProfileSet", "Folder" ]
missingProfileDefs
Array of object (Configuration.Api.Models.v1.MissingProfileDef) | null

List of missing profile definitions

object
dataSource
string | null

Name of the data source with a missing profile definition

profileSet
string | null

Name of the profile set with a missing profile definition

profileDef
string | null

Name of the missing profile definition

job
string | null

Name of the job with a missing profile definition

missingMetaObjects
Array of object (Configuration.Api.Models.v1.MissingMetaObject) | null

List of missing metadata objects

object
dataSource
string | null

Name of the missing metadata object's data source

schema
string | null

Name of the missing metadata object's schema

table
string | null

Name of the missing metadata object (if table) or its table (if column)

column
string | null

Name of the missing metadata object (if column)

test
string | null

Name of the test with a missing meta object

missingCustomFields
Array of object (Configuration.Api.Models.v1.MissingCustomField) | null

List of missing custom fields

object
referenceKey
string | null

Reference Key of the missing custom field

level
string | null

Level of the missing custom field

object
string | null

Name of the object missing the custom field

dataType
string | null

Data Type of the missing custom field

commitErrors
Array of string | null

List of commit errors

string